Skip to content
Start here

List share recipients by share ID

client.resourceSharing.recipients.list(stringshareId, RecipientListParams { account_id, include_resources, page, per_page } params, RequestOptionsoptions?): V4PagePaginationArray<RecipientListResponse { id, account_id, association_status, 3 more } >
GET/accounts/{account_id}/shares/{share_id}/recipients

List share recipients by share ID.

Security

API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
shareId: string

Share identifier tag.

maxLength32
params: RecipientListParams { account_id, include_resources, page, per_page }
account_id: string

Path param: Account identifier.

maxLength32
include_resources?: boolean

Query param: Include resources in the response.

page?: number

Query param: Page number.

minimum0
multipleOf1
per_page?: number

Query param: Number of objects to return per page.

maximum100
minimum0
multipleOf1
ReturnsExpand Collapse
RecipientListResponse { id, account_id, association_status, 3 more }
id: string

Share Recipient identifier tag.

maxLength32
account_id: string

Account identifier.

maxLength32
association_status: "associating" | "associated" | "disassociating" | "disassociated"

Share Recipient association status.

One of the following:
"associating"
"associated"
"disassociating"
"disassociated"
created: string

When the share was created.

formatdate-time
modified: string

When the share was modified.

formatdate-time
resources?: Array<Resource>
error: string

Share Recipient error message.

resource_id: string

Share Resource identifier.

maxLength32
resource_version: number

Resource Version.

terminal: boolean

Whether the error is terminal or will be continually retried.

List share recipients by share ID

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted
  apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const recipientListResponse of client.resourceSharing.recipients.list(
  '3fd85f74b32742f1bff64a85009dda07',
  { account_id: '023e105f4ecef8ad9ca31a8372d0c353' },
)) {
  console.log(recipientListResponse.id);
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "3fd85f74b32742f1bff64a85009dda07",
      "account_id": "023e105f4ecef8ad9ca31a8372d0c353",
      "association_status": "associating",
      "created": "2023-09-21T18:56:32.624632Z",
      "modified": "2023-09-21T18:56:32.624632Z",
      "resources": [
        {
          "error": "Recipient is missing necessary entitlement",
          "resource_id": "023e105f4ecef8ad9ca31a8372d0c353",
          "resource_version": 0,
          "terminal": true
        }
      ]
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 50
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "3fd85f74b32742f1bff64a85009dda07",
      "account_id": "023e105f4ecef8ad9ca31a8372d0c353",
      "association_status": "associating",
      "created": "2023-09-21T18:56:32.624632Z",
      "modified": "2023-09-21T18:56:32.624632Z",
      "resources": [
        {
          "error": "Recipient is missing necessary entitlement",
          "resource_id": "023e105f4ecef8ad9ca31a8372d0c353",
          "resource_version": 0,
          "terminal": true
        }
      ]
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 50
  }
}